function parseLines(line0, line1) {
  var cardAndNameString = line0.substring(0, line0.indexOf(']'));
  var deviceString = line0.substring(cardAndNameString.length + 2).trim();

  return {
    cardNumber: parseInt(cardAndNameString.substring(cardAndNameString.indexOf(' ') + 1, cardAndNameString.indexOf(':')), 10),
    name: cardAndNameString.substring(cardAndNameString.indexOf('[') + 1),
    deviceNumber: parseInt(deviceString.substring(deviceString.indexOf(' ') + 1, deviceString.indexOf(':')), 10),
    subdeviceCount: parseInt(line1.substring(line1.indexOf(':') + 1, line1.indexOf('/')), 10),
  };
}

module.exports = function(stdout) {
  // Split up the output
  var lines = stdout.split("\n");

  // Loop through each device, creating one and adding it to deviceCache
  var metadatas = [];
  var i = 1;
  while (i < lines.length) {
    // First line: card number, device name, type
    // Second line: Number of sub devices
    var metadata = parseLines(lines[i].trim(), lines[i+1].trim());
    metadatas.push(metadata);

    // Give the number of subdevices, we can calculate the next line number to start on
    i += metadata.subdeviceCount + 2;
  }

  return metadatas;
};
